Subject: Re: "error: Tweaking file descriptors doesn't work with this MSVCRT.dll" on wine

From: Torsten Bögershausen <[email-masked]>
Date: Tue, 29 Jul 2014 08:30:21 +0200

On 07/28/2014 12:39 PM, Duy Nguyen wrote:
> I know wine is kind of second citizen but is there a cheap trick to
> make it work on wine? Reverting fcd428f (Win32: fix broken pipe
> detection - 2012-03-01) could result in conflicts in compat that I'm
> not comfortable resolving. I don't have Windows at home. Wine is the
> only option for me (or if somebody has a modern.ie image for KVM, or a
> simple recipe to make one, that'd be great). "Fix wine" is not really
> an option.
Is it only that patch that needs to be reverted to make things work got 
wine?
For me It seems as if the patch is not that huge, and manually do a 
copy-paste
with the help of a diff tool can be done.

It seems as if even both implemenations can live side-by-side in the code.
And if there is a run-time detection for wine, we could switch between the
old one and the new one which is dependent on how MSVCRT.dll has layed out
internal data structures:
  "ioinfo structure (exposed by MSVCRT.dll via  __pioinfo"

Sorry being not more helpful